FROM node:14.21.1-alpine as build

WORKDIR /app

COPY . /app/

RUN npm install --silent

RUN npm run build

FROM nginx:1.23.3-alpine
COPY --from=build /app/build /usr/share/nginx/html

RUN rm /etc/nginx/conf.d/default.conf

COPY nginx/nginx.conf /etc/nginx/conf.d

EXPOSE 80
CMD [ "nginx", "-g", "daemon off;"]